@import "fonts.css";
.contanier{
    min-width: 1900px;
    margin: 0 auto;
   font-family: ﻿AdobeInvisFont, ﻿OpenSans, ﻿Courier;
}
.header{
    background-color: #1d2124;
    display: flex;
    flex-direction: row;
    align-items: center;
    //flex-wrap: wrap;
    justify-content: space-between;
    /*padding-top: 19px;*/
    /*padding-bottom: 18px;*/
    color: white;
}
.fas{
    color: white;
   // border: red solid 1px;
    padding: 20px;
}
.navbar{
   // border: white solid 1px;
    display: flex;
    flex-direction: row;
    //flex-wrap: nowrap;
    width: 701px;
    justify-content: space-between;
}
.nav-title{
    display: flex;
    flex-direction: row;
    align-items: center;
}
.logo-img{
padding:20px 0px 20px 33px  ;
  // width:27px ;
    background:url("../img/img-flex/logo-img.png")no-repeat ;
}
.logo-text{
    font-size: 21px;
    font-weight: bold;
   // border: red solid 1px;

}
.navbar-items{
   // border: yellow solid 1px;
    color: white;
    font-size: 15px;
    text-transform: uppercase;
    font-weight: bold;

}
.header-bg{
   /*padding: 120px 0;*/
    background: fixed url('../img/img-flex/header-bg.jpeg')40% 61% no-repeat;
    background-size: cover;/* після прописання cover перестає працювати background-position*/
    display: flex;
    flex-direction: column;
    align-items: center;
    min-height: 404px;
    justify-content: center;
    /*z-index: -1;*/
    /*perspective: 1px;*/
    /*transform: translateZ(-3px);*/

}
.header-button{
     margin-top: 29px;
}
.bn{
    width: 170px;
    border-radius: 5px;
    padding:17px 0;
    color: white;
    font-weight: bold;
    font-size: 18px;
    justify-content: space-around;
    margin-right: 20px;
    cursor: pointer;

}
.green{
    background: #89ca62;
    border: solid 1px #89ca62;
}
.blue{
    background: #14b9d5;
    border: solid 1px #14b9d5;
}
.bg-text{
    color: white;
    font-size: 27px;
    text-align: center;
}

.gallery{
    display: flex;
    flex-direction: column;
    align-items: center;
    background-color: #f2f2f2;
    height: 1030px;
    /*justify-items: flex-end;*/
}
.gallery-text{
    font-size: 27px;
    color: #18b4cf;
    font-weight: bold;
    padding: 35px 0 43px 0;
    text-transform: uppercase;

}
.images-box{
    box-sizing: border-box;
    width: 370px;
   // overflow: hidden;


}
.images-text{
    background-color: #ffffff;
    font-size: 18px;
    font-weight: bold;
    padding: 20px 0;
    text-align: center;
    color: black;
}
.gallery-photo{
    display: flex;
    flex-direction: row;
    width: 1170px;
    flex-wrap: wrap;
   justify-items: center;
    justify-content: space-between;/*вирівнює по основній осі flex-елементи,
     притискаючи їх до країв батьківського блоку  */
}
.img-self{
    align-self: center;/*вирівнює окремий елемент по додатковій осі*/
}


/*контейнер розбиває на горизонтальні гріди з заданою висотою*/
.second-post{
    display: grid;
    //grid-gap: 2px;
    background-color: #18b4cf;
     grid-template-areas:
     "header"
     "item1"
     "content"
     "footer";/*шаблон посту*/
    grid-template-rows: 590px 381px 1683px 80px;/*висота рядків*/
   // grid-template-columns: 218px 1fr 1fr 1fr 1fr 218px;/*ширина стовпців*/

}
/*зв'зую шаблон з git-елементами: class div з іменами шаблону */
.header-second-post{
    background: fixed url("../img/img-grid/parallax-bg.jpeg")93% 29% no-repeat ;
    background-size: cover;
    grid-area: header;
    /*присвоєння властивості  display: grid для внутрішнього позиціювання,
    тобто елементи, що знаходяться всередині блоку стають grid-елементами */
    display: grid;
   // grid-column-gap: 74px;/*відстані між клітинками рядка(горизонтальні відступи)*/
    grid-row-gap: 25px;/* вертикальні відступи*/
    grid-template-areas:
    "title title title title title title"
    "line1 line1 line1 line1 line1 line1"
     ". logo1 logo2 logo3 logo4 .";
    grid-template-rows: 1fr 5px 1fr;/*висота рядків*/
    grid-template-columns: 1fr 207px 135px 172px 141px 1fr;/*ширина клітинок рядка*/
    grid-column-gap: 74px;
    grid-row-gap: 40px;

}

/*---------------------------------------------------------*/
.title-post{
    grid-area:title;
    grid-column: 1/7;/* місце положення елемента */
     color: white;
    text-transform: uppercase;
    font-size: 38px;
    font-weight: bold;
   padding-top: 200px;
    text-align: center;
    }


.offer-line{
    grid-area: line1;
    grid-row:2/3;
    grid-column:3/5;
    box-sizing: border-box;
    width: 60px;
    border-bottom: solid 4px #169cb4;
    margin: 0 auto;

}
.img1{
    grid-area: logo1 ;
    grid-row: 3/4;
    grid-column:2/3;
   text-align: center;

}

.img2{
    grid-area: logo2 ;
    grid-row:3/ 4;
    grid-column: 3/4;
    text-align: center;
}
.img3{
    grid-area: logo3;
    grid-row:3/ 4;
    grid-column: 4/5;
    text-align: center;

}

.img4{
    grid-area: logo4;
    grid-row:3/4;
    grid-column:5/6;
    text-align: center;
}

/*----------------------------------------------------------------------*/

.images-post{
    grid-area: item1;
    display: grid;
    grid-template-areas:
            "title25 title25 title25 title25 title25 title25 title25"
            "picture1 picture2 picture3 picture4 picture5 picture6 picture7";
    /*grid-template-rows: repeat(2, 1fr) ;!*висота рядків*!*/
    grid-template-columns:repeat(7,1fr)   ;/*ширина клітинок рядка*/
    grid-template-rows: 140px 1fr;

    background-color: white;
    color: #18b4cf;
    font-weight: bold;
    font-size: 28px;

}

.images-line{
    grid-area: title25;
    grid-column: 1/8;
    grid-row: 1/2;
    text-align: center;
    padding-top: 53px;
    text-transform: uppercase;
}

.img-line-img1{
    grid-area: picture1;
    grid-column: 1/2;
    grid-row: 2/3;
}
.img-line-img2{
    grid-area: picture2;
    grid-column: 2/3;
    grid-row: 2/3;
}
.img-line-img3{
    grid-area: picture3;
    grid-column: 3/4;
    grid-row: 2/3;

}
.img-line-img4{
    grid-area: picture4;
    grid-column: 4/5;
    grid-row: 2/3;

}
.img-line-img5{
    grid-area: picture5;
    grid-column: 5/6;
    grid-row: 2/3;
}
.img-line-img6{
    grid-area: picture6;
    grid-column: 6/7;
    grid-row: 2/3;
}
.img-line-img7{
    grid-area: picture7;
    grid-column: 7/8;
    grid-row: 2/3;
}

/*.img150{*/
/*    width: 271px;*/
/*    overflow: hidden;*/
/*}*/
/*!*------------------------------------------*!*/



.content-post{
    grid-area: content;
    display: grid;
    grid-template-areas:
    "title title title title "
    "img img img img "
    " img4 img4 img6 img6"

    "img8 img8 img10 img10"

    "img_ img_ img_ img_ ";

    grid-template-rows:24px 259px 445px 445px 259px  ;
    grid-template-columns: 1fr 554px 554px 1fr;
    grid-row-gap: 40px;
    grid-column-gap: 60px;
    background-color: white;

}

.content-post-title{
    grid-area: title;
    grid-column: 1/5;/*номер стовців*/
    grid-row: 1/2;/* номер рядка*/
    text-align: center;
    font-size: 27px;
    font-weight: bold;
    text-transform: uppercase;
    color: #18b4cf;
}

.content-grid1{
    grid-area: img;
    grid-column:2/4;
    grid-row: 2/3;
    display: grid;
    grid-template-areas:
    "img_gallery2 gallery3";
    grid-template-columns: 856px 277px;
    grid-column-gap: 35px;

   // grid-template-rows: 259px;

}
.content-grid1-gallery{
    grid-area: img_gallery2;
    grid-column:1/2;
    background-color: #f9f7f7;

}

.content-gallery2{
    text-align: right;
    display: inline-block;
    width: 369px;
    vertical-align: top;
    color: black;
     }

.gallery-description {
    padding: 22px;
    color: black;
}
/*.content-gallery2 > .bold-text{*/
/*    margin-top: 40px;*/
/*}*/


.content-gallery3{
    grid-area: gallery3;
    background-color: #f9f7f7;
    grid-column: 2/3;
   }

.content-gallery3 > .bold-text{
    text-align: center;
    background-color: #f9f7f7;
    padding-top: 12px;
     padding-bottom: 12px;
}



/* ----------- */
.post-img4{
    grid-area: img4;
    grid-column: 2/3;
   grid-row: 3/4;
    background-color: #f9f7f7;
}

.content-gallery3,.content-gallery5, .content-gallery7, .content-gallery9, .content-gallery11{
    text-align: right;
    font-size: 16px;
    background-color: #f9f7f7;

}

 .bold-text{
     font-size: 20px;
     font-weight: bold;
     padding:20px 22px 21px ;
     color: black;
      }
.post-img6{
    grid-area: img6;
    grid-column: 3/4;
    grid-row: 3/4;
    background-color: #f9f7f7;
}


.post-img8{
    grid-area: img8;
    grid-column: 2/3;
    grid-row: 4/5;
    background-color: #f9f7f7;
}



.post-img9{
    grid-area: img10;
    grid-column: 3/4;
    grid-row: 4/5;
    background-color: #f9f7f7;
}



.content-grid2{
    grid-area: img_;
    grid-column: 2/4;
    grid-row: 5/6;
    display: grid;
    grid-template-areas:
            "gallery12 img13_gallery";
    grid-template-columns: 277px 1fr;
    /*grid-template-rows: 259px;*/
    grid-column-gap: 35px;
   }

.content-gallery12{
    grid-area: gallery12 ;
    grid-column: 1/2;
}

.content-grid2-img13{
    grid-area: img13_gallery;
    background-color: #f9f7f7;
    grid-column: 2/3;
    }

.content-gallery14{
display: inline-block;
    width: 369px;
    vertical-align: top;
    text-align: right;


}

.content-gallery12 > .bold-text{
    text-align: center;
    background-color: #f9f7f7;
    padding-top: 12px;
    padding-bottom: 12px;
}

.footer-post{
    grid-area: footer;
    display: grid;
    grid-template-areas:
        ". text img_text . ";
    grid-template-columns: 1fr 554px 554px 1fr;
     color: white;
    grid-column-gap: 60px;
    background-color: #1d2124;

}
.footer-text{
    grid-area: text;
    font-size: 16px;
    padding-top: 34px;
}
.footer-gallery{
    grid-area: img_text;
    padding-top: 24px;
    text-align: right;
}
.footer-logo-text{
    display: inline-block;
    font-weight: bold;
    font-size: 20px;
    text-transform: uppercase;
}

/*@media only screen and (max-device-width:1024px) {*/
/*    .header-bg, .header-second-post{*/
/*        background-attachment: scroll;*/
/*    }*/

/*}*/